/*
 * Class SED_RECOVERABLE_SERIALIZER
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_390 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_390 [] = {0xFF01,1551,389,0xFFFF};
static const EIF_TYPE_INDEX egt_2_390 [] = {0xFF01,389,0xFFFF};
static const EIF_TYPE_INDEX egt_3_390 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_390 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_390 [] = {0xFF01,389,0xFFFF};
static const EIF_TYPE_INDEX egt_6_390 [] = {0xFF01,389,0xFFFF};
static const EIF_TYPE_INDEX egt_7_390 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_390 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_390 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_390 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_390 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_390 [] = {0xFF01,389,0xFFFF};
static const EIF_TYPE_INDEX egt_13_390 [] = {0xFF01,1997,869,869,0xFFFF};
static const EIF_TYPE_INDEX egt_14_390 [] = {0xFF01,307,0xFFFF};
static const EIF_TYPE_INDEX egt_15_390 [] = {0xFF01,560,0xFFFF};
static const EIF_TYPE_INDEX egt_16_390 [] = {0xFF01,565,0xFFFF};
static const EIF_TYPE_INDEX egt_17_390 [] = {0xFF01,348,0xFFFF};
static const EIF_TYPE_INDEX egt_18_390 [] = {0xFF01,612,0xFFFF};
static const EIF_TYPE_INDEX egt_19_390 [] = {0xFF01,349,0xFFFF};
static const EIF_TYPE_INDEX egt_20_390 [] = {0xFF01,350,0xFFFF};
static const EIF_TYPE_INDEX egt_21_390 [] = {0xFF01,1997,869,869,0xFFFF};


static const struct desc_info desc_390[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_390), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_390), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_390), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_390), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_390), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_390), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_390), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_390), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_390), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_390), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_390), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_390), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x030B /*389*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_390), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6710, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D7 /*875*/), 6711, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D7 /*875*/), 6712, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6713, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_390), 6714, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6805, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 6806, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_390), 6807, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6808, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6809, 20},
	{EIF_GENERIC(NULL), 6810, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6811, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6812, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6813, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6814, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_390), 6815, 4},
	{EIF_GENERIC(egt_16_390), 6816, 8},
	{EIF_GENERIC(egt_17_390), 6817, 12},
	{EIF_GENERIC(egt_18_390), 6818, 16},
	{EIF_GENERIC(egt_19_390), 6819, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_390), 6820, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 6821, 24},
	{EIF_GENERIC(NULL), 6778, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6779, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6780, 21},
	{EIF_GENERIC(NULL), 6828, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6782, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6783, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6784, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6785, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6786, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6787, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6788, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6789, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6790, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6791, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6792, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6793, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6794, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6795, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6796, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6797, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6798, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6799, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6800, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6801, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6802, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6803, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_390), 6829, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6830, 0xFFFFFFFF},
};
void Init390(void)
{
	IDSC(desc_390, 0, 389);
	IDSC(desc_390 + 1, 1, 389);
	IDSC(desc_390 + 32, 971, 389);
	IDSC(desc_390 + 37, 570, 389);
	IDSC(desc_390 + 80, 148, 389);
}


#ifdef __cplusplus
}
#endif
